<?php

namespace Myriad\Authentication\Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Str;
use Myriad\Authentication\Models\AccessToken;
use Myriad\Authentication\Models\User;
use Myriad\Installations\Models\Installation;

class AccessTokenFactory extends Factory
{
    protected $model = AccessToken::class;

    public function definition()
    {
        return [
            'token' => Str::random(),
            'owner_type' => User::class,
            'owner_id' => function () {
                return User::factory()->create()->id;
            },
            'client_type' => Installation::class,
            'client_id' => function () {
                return Installation::factory()->create()->id;
            },
            'expires_at' => now()->addHour()
        ];
    }
}
