<?php

namespace Myriad\Authentication\Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;
use Myriad\Authentication\Models\User;
use Myriad\Authentication\Models\UserEmail;

class UserEmailFactory extends Factory
{
    protected $model = UserEmail::class;

    public function definition()
    {
        return [
            'user_id' => function () {
                return User::factory()->create()->id;
            },
            'email' => $this->faker->email,
            'type' => $this->faker->randomElement([
                UserEmail::TYPE_WORK,
                UserEmail::TYPE_HOME,
            ]),
            'primary' => $this->faker->boolean(),
            'verified' => $this->faker->boolean(),
        ];
    }
}
