<?php

namespace Myriad\Authentication\Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;
use Myriad\Authentication\Models\User;
use Myriad\Authentication\Models\UserPhone;

class UserPhoneFactory extends Factory
{
    protected $model = UserPhone::class;

    public function definition(): array
    {
        return [
            'user_id' => function () {
                return User::factory()->create()->id;
            },
            'phone' => $this->faker->phoneNumber,
            'type' => $this->faker->randomElement([
                UserPhone::TYPE_WORK,
                UserPhone::TYPE_CELL,
                UserPhone::TYPE_HOME,
            ]),
            'primary' => $this->faker->boolean(),
            'verified' => $this->faker->boolean(),
        ];
    }
}
