<?php

namespace Myriad\Authentication\Models;

use Illuminate\Auth\Authenticatable;
use Illuminate\Contracts\Auth\Authenticatable as AuthenticatableContract;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Myriad\Authentication\Database\Factories\UserFactory;

class User extends Model implements AuthenticatableContract
{
    use Authenticatable, SoftDeletes, OwnsAccessTokens, LookupByEmailOrPhone, HasFactory;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'first_name', 'last_name', 'last_login', 'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    /**
     * Get a new factory instance for the model.
     **/
    protected static function newFactory()
    {
        return UserFactory::new();
    }
}
