<?php

namespace Myriad\Authentication\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;
use Myriad\Authentication\Database\Factories\UserPhoneFactory;

class UserPhone extends Model
{
    use SoftDeletes, HasFactory;

    const TYPE_WORK = 'work';
    const TYPE_CELL = 'cell';
    const TYPE_HOME = 'home';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'phone', 'type', 'primary', 'verified',
    ];

    /**
     * Get a new factory instance for the model.
     **/
    protected static function newFactory()
    {
        return UserPhoneFactory::new();
    }

    /**
     * Get the user for this phone number
     *
     * @return BelongsTo
     */
    public function user()
    {
        return $this->belongsTo(config('authentication.user_model'));
    }
}

